Bug 173485 - wget command line options: backward compatibility broken
Summary: wget command line options: backward compatibility broken
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wget   
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-17 15:24 UTC by Aleksandar Milivojevic
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 10:33:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksandar Milivojevic 2005-11-17 15:24:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 CentOS/1.0.7-1.4.1.centos4 Firefox/1.0.7

Description of problem:
The wget package in EL4 was bumped from version 1.9 to 1.10.  Several option names were changed in new version, braking backward compatibility (and existing scripts that used them).  Examples:

-C on/off --cache on/off replaced with --no-cache (short -C form removed)
--http-passwd replaced with --http-password
--proxy-passwd replaced with --proxy-password

There might be other options that changed names or were removed too (these are the ones I'm aware of).

Old options should be reintroduced to keep existing systems running.

Version-Release number of selected component (if applicable):
wget-1.10.2-0.40E

How reproducible:
Always

Steps to Reproduce:
1. compare original wget package (1.9.x), and updated wget (1.10.x) package

  

Additional info:

Comment 1 Karsten Hopp 2006-01-19 10:33:15 UTC
That's something which needs to be taken upstream. We can't deviate too much
from upstream sources and they have decided to standarize those commandline
parameter. There's no point in maintaining a patch for the old, obsolete
commandline parameters.


Note You need to log in before you can comment on or make changes to this bug.